{#
/**
 * @file
 * Default theme implementation for a breadcrumb trail.
 *
 * Available variables:
 * - breadcrumb: Breadcrumb trail items.
 *
 * @ingroup templates
 */
#}

{% set max_breadcrumb_size = 65 %}
{% set suffix = '…' %}

{% if breadcrumb %}
  <section id="breadcrumb" class="mb-3">
    <div class="container">
      <div class="row">
        <div class="col-md-12 ml-0 mr-0 px-0">
          <ol class="breadcrumb px-0">
            {% for item in breadcrumb %}
              {% set display_title = item.text|length > max_breadcrumb_size
                ? item.text|slice(0, max_breadcrumb_size - suffix|length) ~ suffix
                : item.text
              %}
              <li class="breadcrumb-item{% if loop.last %} active{% endif %}" {{ item.attributes }}>
                {% if item.url %}
                  <a href="{{ item.url }}" title="{{ item.text }}" data-bs-toggle="tooltip" data-placement="top">
                    {{ display_title }}
                  </a>
                {% else %}
                  {{ display_title }}
                {% endif %}
              </li>
            {% endfor %}
          </ol>
        </div>
      </div>
    </div>
  </section>
{% endif %}
